.hero-main-container {
  display: flex;
  margin-top: 40px;
  margin-top: 60px;
}
.book-container {
  max-width: 500px;
  display: flex;
  align-items: center;
  flex-direction: column;
  position: sticky;
  top: 20px;
  align-self: flex-start;
}
.hero-img {
  max-width: 200px;
}
.book-desc-list {
  display: flex;
  flex-direction: column;
  padding: 0;
}
.heroes-container {
  display: flex;
}
.heroes-list {
  display: flex;
  flex-direction: column;
  margin-top: 0;
}
.create-line {
  width: 80%;
  border-top: 3px solid #d9d9d9;
  margin: 10px 0;
}
.create-prize-line {
  width: 100%;
  border-top: 3px solid #d9d9d9;
  margin: 0;
}
.header-info-container {
  display: flex;
  width: 100%;
  max-height: 100%;
  margin-bottom: 40px;
}
.heroes-item {
  margin-bottom: 20px;
}
.hero-challenge-desc-container {
  display: flex;
  flex-direction: column;
  hyphens: auto;
}
.hero-challenge-desc-title,
.heroes-name {
  margin-bottom: 10px;
}
.triangle-down {
  margin-left: 5px;
  width: 0;
  height: 0;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 8px solid #726e6e;
}
.quotes-details[open] > .quotes > .triangle-down {
  width: 0;
  height: 0;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-bottom: 8px solid #726e6e;
  border-top: 0;
}
.heroes-quotes-desc {
  margin-left: auto;
  max-width: 400px;
}
.hero-challenge-desc-title {
  text-align: center;
}
.heroes-title {
  text-align: center;
  margin-bottom: 30px;
  margin-top: 0;
}

.challenge-header-container {
  display: flex;
  width: 100%;
  flex-direction: column;
}
.challenge-main-container {
  display: flex;
}
.book-challenge-container {
  background-color: #d9d9d9;
  border-radius: 10px;
  display: flex;
  padding: 40px 30px;
  margin-bottom: 60px;
}
.hero-info-container {
  display: flex;
  flex-direction: column;
  min-width: 380px;
  max-width: 380px;
}
.judge-container,
.judge-main-container,
.hero-sponsor-container {
  display: flex;
  flex-direction: column;
}
.judge-info-container {
  display: flex;
  flex-direction: column;
  margin-left: 20px;
  justify-content: center;
}
.judge-img {
  display: flex;
  width: 3vw;
  height: 3vw;
  border-radius: 3px;
  flex-shrink: 0;
  min-width: 30px;
  min-height: 30px;
}
.judge-title {
  font-size: 18px;
}
.judge {
  display: flex;
  border-radius: 20px;
}
.judge-desc {
  margin-top: 0;
  margin-bottom: 0;
}
.judge-text {
  margin-bottom: 0px;
  margin-top: 0px;
}
.deadline {
  display: none;
}
.challange-timer {
  display: flex;
  gap: 10px;
  font-size: 45px;
}
.challenge-main-info-cotainer {
  font-size: 17px;
  display: flex;
  flex-direction: column;
  margin-left: 20px;
}
.challange-time {
  display: flex;
}
.challange-time-number {
  margin-top: 0;
  margin-bottom: 40px;
}
.challenge-timer-container,
.social-network-container,
.challenge-info {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.social-network-container {
  margin-bottom: 80px;
}
.social-network-list {
  display: flex;
  gap: 20px;
}
.social-network {
  width: 146px;
  height: 146px;
  background-color: #d9d9d9;
  border-radius: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.link-button {
  width: 100%;
  height: 100%;
}
.link-button-img {
  width: 70%;
  height: 70%;
}
.social-network-here {
  font-size: 30px;
  color: #ffe100;
  -webkit-text-stroke: 1px #000000;
  margin-top: 0px;
}

.shadow {
  -webkit-box-shadow: 0px 8px 24px 0px rgba(56, 12, 12, 0.15);
  -moz-box-shadow: 0px 8px 24px 0px rgba(56, 12, 12, 0.15);
  box-shadow: 0px 8px 24px 0px rgba(56, 12, 12, 0.15);
}
.challenge-info-container {
  display: flex;
  flex-direction: column;
}
.desc-link-button {
  width: 244px;
  height: 90px;
  border-radius: 88px;
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  text-align: center;
}
.desc-link-button-t {
  margin-top: 20px;
}
.desc-link-button-text {
  font-size: 24px;
}
.desc-link-button-color {
  background-color: #d9d9d9;
}
.info-line {
  width: 100%;
}
.book-img-container {
  display: flex;
  width: 100%;
  justify-content: center;
}
.prize-container {
  width: 100%;
  height: 100%;
  margin-left: 25px;
  border-radius: 10px;
}
.quotes {
  font-style: italic;
  text-align: center;
  font-weight: 500;
  display: flex;
  justify-content: center;
  align-items: center;
}
.quotes-details {
  cursor: default;
  display: flex;
  flex-direction: column;
}
@media (max-width: 1300px) {
  .challange-timer {
    font-size: 30px;
  }
  .social-network {
    width: 90px;
    height: 90px;
    border-radius: 20px;
  }
  .social-network-here {
    -webkit-text-stroke: 0.4px #000000;
    font-size: 20px;
  }
  .desc-link-button {
    width: 170px;
  }
  .desc-link-button-text {
    font-size: 17px;
  }
}
@media (max-width: 1200px) {
  .book-desc-list {
    font-size: 15px;
  }
  .hero-img {
    width: 150px;
  }
}

@media (max-width: 950px) {
  .hero-main-container {
    flex-direction: column-reverse;
  }
  .challenge-info-container {
    flex-direction: row;
    font-size: 20px;
  }
  .challenge-timer-container {
    font-size: 20px;
  }
  .challange-timer {
    font-size: 45px;
  }
  .challenge-info-container {
    justify-content: space-around;
    gap: 30px;
    flex-wrap: wrap;
  }
  .challenge-info {
    flex-direction: row;
    justify-content: space-around;
    margin-bottom: 50px;
  }
  .desc-link-button-t {
    margin-top: 0px;
  }
  .hide-line {
    display: none;
  }
}
@media (max-width: 900px) {
  .header-info-container {
    flex-direction: column-reverse;
    max-width: 100%;
    margin-bottom: 0;
  }
  .prize-container {
    margin-bottom: 30px;
  }
  .heder-hide-line {
    display: none;
  }
  .prize-container {
    margin-left: 0;
  }
  .judge-title {
    text-align: center;
  }
  .hero-info-container {
    max-width: 100%;
    min-width: 100%;
  }
  .judge-container {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10%;
  }
  .judge {
    max-width: 45%;
    width: 45%;
    margin-bottom: 25px;
  }
  .judge-img {
    min-width: 60px;
    min-height: 60px;
  }
}
@media (max-width: 800px) {
  .book-container {
    margin-bottom: 40px;
  }
  .hero-img {
    width: 200px;
  }
  .desc-link-button-text {
    font-size: 14px;
  }
  .desc-link-button {
    width: 140px;
  }
  .challenge-info {
    flex-wrap: wrap;
    gap: 30px;
  }
  .heroes-list {
    padding: 0;
  }
  .book-challenge-container {
    flex-direction: column;
  }
  .book-container {
    align-items: normal;
    flex-direction: row;
    position: initial;
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
    text-align: center;
  }
  .book-desc-list {
    width: 100%;
    align-items: center;
  }
}
@media (max-width: 700px) {
  .judge-container {
    flex-direction: column;
    flex-wrap: nowrap;
    gap: 0;
  }
  .judge {
    width: 100%;
    max-width: 100%;
  }
}
@media (max-width: 650px) {
  .heroes-quotes-desc {
    max-width: 350px;
  }
}
@media (max-width: 600px) {
  .hero-img {
    width: 150px;
  }
}
@media (max-width: 550px) {
  .heroes-quotes-desc {
    max-width: 250px;
  }
}
@media (max-width: 500px) {
  .hero-img {
    width: 120px;
  }
}
@media (max-width: 450px) {
  .main-container {
    padding: 0 20px;
  }

  .book-challenge-container {
    padding: 40px 20px;
  }
}
@media (max-width: 400px) {
  .book-container {
    flex-direction: column;
  }
  .book-container {
    margin-bottom: 20px;
  }
  .heroes-quotes-desc {
    max-width: 200px;
  }
}
